/* boilerplate  */
*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: "Roboto", sans-serif;
}

body {
    height: 100vh;
    background: linear-gradient(45deg, purple, orange);
}

header {
    width: 100%;
    height: 5em;
    background-color: black;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2em;
}

.citylocator {
    font-size: large;
    height: 2em;
    width: 20em;
    border-radius: 10px;
    padding: 5px;
}

button {
    font-size: large;
    height: 2em;
    cursor: pointer;
    padding: 5px;
    border-radius: 10px;
    background-color: white;
}

h1 {
    color: white;
}

main {
    margin: 0 auto;
    margin-top: 2em;
    height: 30em;
    width: 30em;
    background: linear-gradient(45deg, #003153 0%, purple 74%);
    padding: 3em;
    color: white;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.cityAndCountryName,
.currentTemperature,
.weatherCondition,
.weatherIcon,
.humidity,
.windSpeed {
    font-size: 20px;
    white-space: pre-wrap;
    display: flex;
    align-items: center;
}

.spinner {
    width: 40px;
    height: 40px;
    border: 4px solid white;
    border-top: 4px solid transparent;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin: 1em auto;
}

.hidden {
    display: none;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}